Subject: bug#56345: 29.0.50; [PATCH] Add column hiding to tabulated-list

From: Michael Heerdegen <[email-masked]>
Date: Wed, 07 Sep 2022 05:23:06 +0200

Thuna <[email-masked]> writes:

> > Thanks.  I've had a skim over the patch, and it seems reasonable to me.
> > (I haven't tried it, though.)  But what's the use case for this?  I
> > can't really remember ever wanting to hide a column in a tabulated-list
> > buffer.
>
> It's mostly a quality of life improvement.

The "why" is clear (to me), but not so much the "how".  `proced' and
`ibuffer' for example (currently not based on tabulated-list, but they
are also table view modes) allow to define and switch between certain
views, but don't offer commands to explicitly select and delete columns.

So the general idea (ability to leave columns out of the table) is
surely useful, but which interface should be provided to get this is
another question.

Michael.